const app = getApp()
const navigationBarHeight = (getApp().statusBarHeight + 44)+"px"
const navigationBarHeight2 = (getApp().statusBarHeight + 44)
const screenHeight = (getApp().screenHeight)
const config = require("../../config/config.js");
const Http = require("../../utils/HttpBasics")
Page({
    data: {
        imgHttps:app.globalData.imgHttps,
        navigationBarHeight,
        navigationBarHeight2,
        screenHeight,
        activityFlag: 0,
        column: [],
        id:"",//选中分类id
        pageNum:1,
        dataLsit:[],//数据列表
        inputValue:'',//搜索框值
        noDAtaFlag:false,//
    },
    setActiviy(e){
        let index =  e.currentTarget.dataset.index
        let id = e.currentTarget.dataset.id
        this.setData({
            activityFlag:index,
            id:id,
            pageNum:1,
        })
        this.getLsit()

    },
    setSearchValue(e){
        let value = e.detail.value
        this.setData({
          inputValue:value
        })
      },

    goDetails(e){
        let id = e.currentTarget.dataset.id
        let title = e.currentTarget.dataset.title
        console.log(id);
        tt.navigateTo({
          url: `/pages/classDetails/classDetails?id=${id}&title=${title}` // 指定页面的url
        });
    },
    getColumn(){
        Http.get({
            url:config.api.getColumn
        }).then(res=>{
            let tempData = res.data
            tempData.unshift({
                id:"",
                title:"推荐"
        })
            this.setData({
                column:tempData 
            })
        }).catch(err=>{
            tt.showToast({
              title: err.message, // 内容
              
            });
        })
    },
    getLsit(){
        tt.showLoading({
            title: '加载中...', // 内容
        });
        Http.get({
            url:config.api.columnLsit,
            data:{
                businessId:this.data.id,
                pageNum:this.data.pageNum,
                pageSize:10,
                title:this.data.inputValue
            }
        }).then(res=>{
            console.log(res);
            let list = this.data.dataLsit
            if(this.data.pageNum>1){
                list.push(...res.data.list)
            }else{
                list = res.data.list
            }
            if(list.length==0){
                this.setData({
                    noDAtaFlag:true
                })
            }else{
                this.setData({
                    noDAtaFlag:false
                })
            }
            this.setData({
                dataLsit:list
            })
            tt.hideLoading();
        }).catch(err=>{
            tt.hideLoading();
            tt.showToast({
                title: err.message?err.message:err.data, // 内容
                icon:"none"
              });
        })
    },
    onLoad(options){
        console.log(options);
        this.setData({
            activityFlag:options.itemId,
            id:options.itemId
        })
        this.getColumn()
        this.getLsit()
    },
    onReachBottom: function() {
        this.setData({
            pageNum:this.data.pageNum+1
        })
        console.log("我到底了");
        this.getLsit()
    }
})