const app = getApp()
const config = require("../../config/config")
const Http = require("../../utils/HttpBasics.js")
const navigationBarHeight = (getApp().statusBarHeight + 44)+"px"
Page({
    data:{
        imgHttps:app.globalData.imgHttps,
        navigationBarHeight,
        ttNum:"",//抖音号
        ttBean:"",//抖音粉丝数量
        userName:"",//姓名
        userPhone:"",//手机号
        codePhone:"",//手机验证码
        Num:60,
        NumFlag:false,
    },
    setTtNum(e){
        let value = e.detail.value
        this.setData({
            ttNum: value
        })
    },
    setTtBean(e){
        let value = e.detail.value
        this.setData({
            ttBean: value
        })
    },
    setUserName(e){
        let value = e.detail.value
        this.setData({
            userName: value
        })
    },
    setUserPhone(e){
        let value = e.detail.value
        this.setData({
            userPhone: value
        })
    },
    setCodePhone(e){
        let value = e.detail.value
        this.setData({
            codePhone: value
        })
    },
    getCode(){//获取验证码
        console.log(this.data.userPhone);
        let myreg = /^[1][3,4,5,7,8,9][0-9]{9}$/;
        if(!myreg.test(this.data.userPhone)){
            tt.showToast({
                title: '请输入正确的手机号', 
                icon: "none"
              });
              return
        }
        Http.get({
            url:config.api.getCodePhone,
            data:{
                phone:this.data.userPhone
            }
        }).then(res=>{
            this.setData({
                NumFlag:true
            })
            let tiem = setInterval(()=>{
                console.log(this.data.Num)
                this.setData({
                    Num:this.data.Num-1
                })
                if(this.data.Num<=1){
                    clearInterval(tiem)
                    this.setData({
                        NumFlag:false
                    })
                }
            },1000)
            
            tt.showToast({
                title: '发送成功', 
                icon: "none"
              });
        }).catch(err=>{
            tt.showToast({
                title: err.message, 
                icon: "none"
              });
        })
    },
    submit(){
        let myreg = /^[1][3,4,5,7,8,9][0-9]{9}$/;
        
        if(this.data.ttNum==""){
            tt.showToast({
                title: '请填写抖音号', // 抖音号
                icon: "none"
              });
              return
        }

        if(this.data.ttBean==""){
            tt.showToast({
                title: '请填写抖音粉丝数量', // 粉丝数量
                icon: "none"
              });
              return
        }

        if(this.data.userName==""){
            tt.showToast({
                title: '请填写姓名', // 姓名
                icon: "none"
              });
              return
        }
        if(!myreg.test(this.data.userPhone)){
            tt.showToast({
                title: '请输入正确的手机号', 
                icon: "none"
              });
              return
        }
        Http.post({
            url:config.api.apply,
            data:{
                ttUserName:this.data.ttNum,
                ttCountFans:this.data.ttBean,
                liaisonMan:this.data.userName,
                liaisonPhone:this.data.userPhone,
                code:this.data.codePhone
            }
        }).then(res=>{
            tt.showToast({
              title: '提交成功！', // 内容
              success: (res) => {
              tt.navigateBack();  
              }
            });
        }).catch(err=>{
            tt.showToast({
                title: err.message, 
                icon: "none"
              });
        })
    }
})