const app = getApp()
const config = require("../../config/config")
const Http = require("../../utils/HttpBasics.js")
const navigationBarHeight = (getApp().statusBarHeight + 44)+"px"
// var WxParse = require('../../wxParse/wxParse.js');
const convert = require("../../utils/util.js")
Page({
    data:{
        imgHttps:app.globalData.imgHttps,
        navigationBarHeight,
        allLsit:"",
        id:"",
        type:"",
    },
    getData(){
        Http.get({
            url:config.api.getPublicityDetail,
            data:{id:this.data.id}
        }).then(res=>{
            let temp =  res.data
            if(temp.ttCoupons){
                temp.ttCoupons.map(item=>{
                    item.popularity = convert.moodsText(item.popularity)
                })
            }
            this.setData({
                allLsit:temp
            })
        }).catch(err=>{
            tt.showToast({
              title: err.message, // 内容
              icon: "none"
            });
        })
    },
    goXq(e){//跳转详情
        let id = e.currentTarget.dataset.id
        let title = e.currentTarget.dataset.title
        tt.navigateTo({
            url: `/pages/classDetails/classDetails?id=${id}&title=${title}` // 指定页面的url
          
        });
    },
    onLoad:function (params) {
        if(params.id &&params.type==1){//宣传页
            this.setData({
                id:params.id,
                type:params.type
            })
            this.getData()
        }else if(params.id &&params.type==2){//图文
            this.setData({
                id:params.id,
                type:params.type
            })
            this.getData()
        }
    },
})