const app = getApp()
const navigationBarHeight = (getApp().statusBarHeight + 44)+"px"
const config = require("../../config/config")
const Http = require("../../utils/HttpBasics.js")
const convert = require("../../utils/util.js")
Page({
    data:{
        navigationBarHeight,
        imgHttps:app.globalData.imgHttps,
        titilText:"",//顶部标题
        type:"",//标题类型
        pageNum:1,
        list:[],
    },
    goXq(e){//跳转详情
        let id = e.currentTarget.dataset.id
        let title = e.currentTarget.dataset.title
        tt.navigateTo({
            url: `/pages/classDetails/classDetails?id=${id}&title=${title}` // 指定页面的url
          
        });
    },
    getNweDataLsit(){//最新上架
        Http.get({
            url:config.api.columnLsit,
            data:{
                pageNum:this.data.pageNum,
                pageSize:10,
                sortOrder:"desc"
            }
        }).then(res=>{
            let temp = this.data.list
            if(this.data.pageNum>1){
                temp.push(...res.data.list)
                
            }else{
                temp = res.data.list
            }
            temp.map(item => {
                item.popularity = convert.moodsText(item.popularity)
              })
            this.setData({
                list:temp
            })
        }).catch(err=>{
            tt.showToast({
              title: err.message, // 内容
              icon: "none"
            });
        })
    },
    getClassLsit(){//精选课程
        Http.get({
            url:config.api.columnLsit,
            data:{
                pageNum:this.data.pageNum,
                pageSize:10,
                mark:1,
                sortColumn: "markTime",
                sortOrder: "desc"
            }
        }).then(res=>{
            let temp = this.data.list
            if(this.data.pageNum>1){
                temp.push(...res.data.list)
                
            }else{
                temp = res.data.list
            }
            temp.map(item => {
                item.popularity = convert.moodsText(item.popularity)
              })
            this.setData({
                list:temp
            })
        }).catch(err=>{
            tt.showToast({
              title: err.message, // 内容
              icon: "none"
            });
        })
    },
    getRanking(){//排行榜
        Http.get({
            url:config.api.columnLsit,
            data:{
                pageNum:this.data.pageNum,
                pageSize:10,
                sortColumn:"popularity",
                sortOrder:"desc"
            }
        }).then(res=>{
            let temp = this.data.list
            if(this.data.pageNum>1){
                temp.push(...res.data.list)
                
            }else{
                temp = res.data.list
            }
            temp.map(item => {
                item.popularity = convert.moodsText(item.popularity)
              })
            this.setData({
                list:temp
            })
        }).catch(err=>{
            tt.showToast({
              title: err.message, // 内容
              icon: "none"
            });
        })
    },
    onLoad:function (params) {
        // console.log(params.titilText,params.type);
        this.setData({
            titilText:params.titilText,
            type:params.type
        })
        if(this.data.type==1){
            this.getNweDataLsit()
        }else if(this.data.type==2){
            this.getClassLsit()
        }else{
            this.getRanking()
        }
    },
    onReachBottom: function() {
        this.setData({
            pageNum:this.data.pageNum+1
        })
        if(this.data.type==1){
            this.getNweDataLsit()
        }else if(this.data.type==2){
            this.getClassLsit()
        }else{
            this.getRanking()
        }
        
    }
})