const app = getApp()
const config = require("../../config/config")
const Http = require("../../utils/HttpBasics.js")
const navigationBarHeight = (getApp().statusBarHeight + 44)+"px"
Page({
    data:{
        imgHttps:app.globalData.imgHttps,
        navigationBarHeight,
        activityFlag:0,
        pageNum:1,
        inputValue:"",
        list:[],
        noDAtaFlag:false,
    },
    setSearchValue(e){
        let value = e.detail.value
        this.setData({
          inputValue:value
        })
      },
    setActiviy(e){
        let index =  e.currentTarget.dataset.index
        this.setData({
            activityFlag:index,
            pageNum:1,
            noDAtaFlag:false,
            list:[]
        })
        this.search()
    },
    goXq(e){//跳转详情
        let id = e.currentTarget.dataset.id
        let title = e.currentTarget.dataset.title
        tt.navigateTo({
          url: `/pages/classDetails/classDetails?id=${id}&title=${title}` // 指定页面的url
        });
      },
    searchBtn(){
        this.setData({
            pageNum:1,
            list:[],
        })
        this.search()
    },
    search(){//查询
        tt.showLoading({
            title: '加载中...', // 内容
        });
        let url = ""
        let data=""
        if(this.data.activityFlag==0){//课程
            url = config.api.columnLsit
            data = {
                title:this.data.inputValue,
                pageNum:this.data.pageNum,
                pageSize:8
            }
            if(this.data.inputValue!=""){
                data.isSearch = 1
            }
        }else{//作者
            url = config.api.getAuthor
            data = {
                name:this.data.inputValue,
                pageNum:this.data.pageNum,
                pageSize:8
            }
        }
        Http.get({
            url:url,
            data:data
        }).then(res=>{
            let arr = []
            if(res.data.list!=0&&res.data.list[0].businessTypes){
                arr = res.data.list
                let sting = ""
                arr.map(item=>{
                    if(item.businessTypes){
                        if(JSON.parse(item.businessTypes).length>0){
                            item.authoRemark = JSON.parse(item.businessTypes)[0].title
                        }else{
                            item.authoRemark = ""
                        }
                        
                    }   
                })
                let tempArr = this.data.list
                if(this.data.pageNum>1){
                    // let contArr= tempArr.push(...arr)
                    this.setData({
                        list:[...tempArr,...res.data.list],
                    })
                    if(this.data.list.length==0){
                        this.setData({
                            noDAtaFlag:true
                        })
                    }else{
                        this.setData({
                            noDAtaFlag:false
                        })
                    }
                }else{
                    this.setData({
                        list:arr,
                        noDAtaFlag:arr.length==0?true:false
                    })
                }
                tt.hideLoading();
            }else{
                if(this.data.pageNum>1){
                    let tempArr = this.data.list
                    // let contArr= tempArr.push(...res.data.list)
                    // console.log(contArr,"contArr");
                    this.setData({
                        list:[...tempArr,...res.data.list],  
                    })
                    if(this.data.list.length==0){
                        this.setData({
                            noDAtaFlag:true
                        })
                    }else{
                        this.setData({
                            noDAtaFlag:false
                        })
                    }
                    
                }else{
                    this.setData({
                        list:res.data.list,
                        noDAtaFlag:res.data.list==0?true:false
                    })
                }
                tt.hideLoading();
            }
            
        }).catch(err=>{
            tt.hideLoading();
            tt.showToast({
                title: err.message?err.message:err.data, // 内容
                icon:"none"
              });
        })
        // console.log(this.data.list);
    },
    onLoad(){
        this.search()
    },
    onReachBottom:function(){
        console.log("到底了");
        this.setData({
            pageNum:this.data.pageNum+1
        })
        this.search()
    }
})